<?php

namespace Entities;

use Doctrine\ORM\Mapping as ORM;

/**
 * Entities\Tblcollaborator
 */
class Tblcollaborator
{
    /**
     * @var integer $id
     */
    private $id;

    /**
     * @var string $full_name
     */
    private $full_name;

    /**
     * @var string $login_name
     */
    private $login_name;

    /**
     * @var string $cellphone
     */
    private $cellphone;

    /**
     * @var string $passwd
     */
    private $passwd;

    /**
     * @var integer $activated
     */
    private $activated;

    /**
     * @var string $created_time
     */
    private $created_time;

    /**
     * @var string $updated_time
     */
    private $updated_time;

    /**
     * @var integer $author
     */
    private $author;


    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set full_name
     *
     * @param string $fullName
     * @return Tblcollaborator
     */
    public function setFullName($fullName)
    {
        $this->full_name = $fullName;
        return $this;
    }

    /**
     * Get full_name
     *
     * @return string 
     */
    public function getFullName()
    {
        return $this->full_name;
    }

    /**
     * Set login_name
     *
     * @param string $loginName
     * @return Tblcollaborator
     */
    public function setLoginName($loginName)
    {
        $this->login_name = $loginName;
        return $this;
    }

    /**
     * Get login_name
     *
     * @return string 
     */
    public function getLoginName()
    {
        return $this->login_name;
    }

    /**
     * Set cellphone
     *
     * @param string $cellphone
     * @return Tblcollaborator
     */
    public function setCellphone($cellphone)
    {
        $this->cellphone = $cellphone;
        return $this;
    }

    /**
     * Get cellphone
     *
     * @return string 
     */
    public function getCellphone()
    {
        return $this->cellphone;
    }

    /**
     * Set passwd
     *
     * @param string $passwd
     * @return Tblcollaborator
     */
    public function setPasswd($passwd)
    {
        $this->passwd = $passwd;
        return $this;
    }

    /**
     * Get passwd
     *
     * @return string 
     */
    public function getPasswd()
    {
        return $this->passwd;
    }

    /**
     * Set activated
     *
     * @param integer $activated
     * @return Tblcollaborator
     */
    public function setActivated($activated)
    {
        $this->activated = $activated;
        return $this;
    }

    /**
     * Get activated
     *
     * @return integer 
     */
    public function getActivated()
    {
        return $this->activated;
    }

    /**
     * Set created_time
     *
     * @param string $createdTime
     * @return Tblcollaborator
     */
    public function setCreatedTime($createdTime)
    {
        $this->created_time = $createdTime;
        return $this;
    }

    /**
     * Get created_time
     *
     * @return string 
     */
    public function getCreatedTime()
    {
        return $this->created_time;
    }

    /**
     * Set updated_time
     *
     * @param string $updatedTime
     * @return Tblcollaborator
     */
    public function setUpdatedTime($updatedTime)
    {
        $this->updated_time = $updatedTime;
        return $this;
    }

    /**
     * Get updated_time
     *
     * @return string 
     */
    public function getUpdatedTime()
    {
        return $this->updated_time;
    }

    /**
     * Set author
     *
     * @param integer $author
     * @return Tblcollaborator
     */
    public function setAuthor($author)
    {
        $this->author = $author;
        return $this;
    }

    /**
     * Get author
     *
     * @return integer 
     */
    public function getAuthor()
    {
        return $this->author;
    }
}